MODULE domain_param
  IMPLICIT NONE
  PRIVATE
  INTEGER :: nsplit_i
  INTEGER :: nsplit_j
  INTEGER :: halo=1

  INTEGER, PARAMETER :: default_nsplit_i=1
  INTEGER, PARAMETER :: default_nsplit_j=1

  PUBLIC nsplit_i, nsplit_j, halo, init_domain_param

CONTAINS
  
  SUBROUTINE init_domain_param
    USE ioipsl
    !$OMP CRITICAL
    nsplit_i=default_nsplit_i
    nsplit_j=default_nsplit_j
    CALL getin('nsplit_i',nsplit_i)
    CALL getin('nsplit_j',nsplit_j)
    !$OMP END CRITICAL
  END SUBROUTINE init_domain_param
  
END MODULE domain_param
